<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlEventCbs_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlEventCbs_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWaveLink Asynchronous event callback function  
 <a href="structrl_event_cbs__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a94b8aad8e982719bb18be979028f8a2d"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_event_cbs__t.html#a94b8aad8e982719bb18be979028f8a2d">rlAsyncEvent</a> )(rlUInt8_t devIndex, rlUInt16_t subId, rlUInt16_t subLen, rlUInt8_t *payload)</td></tr>
<tr class="memdesc:a94b8aad8e982719bb18be979028f8a2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports Asynchronous events from mmwave radar device such as device status, exceptions etc.  <a href="#a94b8aad8e982719bb18be979028f8a2d">More...</a><br /></td></tr>
<tr class="separator:a94b8aad8e982719bb18be979028f8a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWaveLink Asynchronous event callback function </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a94b8aad8e982719bb18be979028f8a2d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* rlEventCbs_t::rlAsyncEvent)(rlUInt8_t devIndex, rlUInt16_t sbId, rlUInt16_t sbLen, rlUInt8_t *payload)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reports Asynchronous events from mmwave radar device such as device status, exceptions etc. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">devIndex</td><td>- Device Index to identify source of event </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">subId</td><td>- Sub-block Id </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">subLen</td><td>- Sub-block data length </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">payload</td><td>- Sub-block data starting memory address</td></tr>
  </table>
  </dd>
</dl>
<p>Reports Asynchronous events from mmwave radar device such as device status, exceptions etc </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
